package com.example.demo_fingerprint_morpho;

import android.os.Environment;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.io.RandomAccessFile;
import java.util.HashMap;

/**
 * Created by Administrator on 2017-5-22.
 */

public class FileUtils {

    public final static  String  PATH_Grab = Environment
            .getExternalStorageDirectory()
            + File.separator
            + "fingerprint_morpho"
            + File.separator;
    public final static String  PATH = Environment
            .getExternalStorageDirectory()
            + File.separator
            + "fingerprint_morpho"
            + File.separator
            +"Template"
            + File.separator;

    static {
        File file=new File(FileUtils.PATH);
        if(!file.exists()){
            file.mkdirs();
        }
    }
    public  static void WritFile2(String fileName,byte[] data){
        if(data==null && data.length>0)
            return;

        String filePath= PATH+fileName;
        File file =new File(filePath);
        if (!file.exists()) {
            try{
                file.createNewFile();
                Runtime runtime = Runtime.getRuntime();
                runtime.exec("chmod 0666 "+file);
            } catch (Exception ex) {
                ex.printStackTrace();
            }
        }
        RandomAccessFile randomAccessFile = null;

        try{
            randomAccessFile = new RandomAccessFile(filePath,"rw");
            randomAccessFile.write(data);
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            try {
                if(randomAccessFile!=null)
                randomAccessFile.close();
            } catch (Exception e) {
            }
        }
    }

    public static String  ReadFile(String fileName){
        String filePath= PATH+fileName;
        File file = new File(fileName);
        String data="";

        if(!file.exists())  return null;

        FileInputStream fis = null;
        InputStreamReader inputreader = null;
        BufferedReader buffreader = null;
        try{
            fis = new FileInputStream(file);
            inputreader = new InputStreamReader(fis);
            buffreader = new BufferedReader(inputreader);
            data = buffreader.readLine();

        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            try {
                fis.close();
                inputreader.close();
                buffreader.close();
            } catch (Exception e) {
            }
        }
        return data;
    }

    public static HashMap<String,String> ReadFileName(){
        HashMap<String,String> map =new HashMap<String,String>();
        File file = new File(PATH);
        if (file.exists()) {
            File[] files = file.listFiles();
            for(int k=0;k<files.length;k++){
             ///   String str1=files[k].getAbsolutePath();
              //  String str2=files[k].getPath();
                map.put(files[k].getName(),files[k].getAbsolutePath());
            }
            return  map;
        }
        return  null;
    }

    public static String bytes2HexString2(byte[] b, int size) {
        StringBuilder stringBuilder=new StringBuilder();

        try {
            for (int i = 0; i < size; i++) {
                String hex = Integer.toHexString(b[i] & 0xFF);
                if (hex.length() == 1) {
                    stringBuilder.append("0");
                 //   hex = "0" + hex;
                }
                stringBuilder.append(hex);

            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return stringBuilder.toString();
    }
}
